## org.apache.poi.hssf.usermodel
Class HSSFDateUtil

    java.lang.Object
      org.apache.poi.ss.usermodel.DateUtil
          org.apache.poi.hssf.usermodel.HSSFDateUtil

    public class HSSFDateUtil

extends DateUtil

Contains methods for dealing with Excel dates.

Author:
  Michael Harhen, Glen Stampoultzis (glens at apache.org), Dan Sherman (dsherman at isisph.com), Hack Kampbjorn (hak at 2mba.dk), Alex Jacoby (ajacoby at gmail.com), Pavel Krupets (pkrupets at palmtreebusiness dot com)

Constructor Summary
`HSSFDateUtil()`

Method Summary
`protected static int` `absoluteDay(java.util.Calendar cal, boolean use1904windowing)`

Methods inherited from class org.apache.poi.ss.usermodel.DateUtil
`convertTime, getExcelDate, getExcelDate, getExcelDate, getJavaDate, getJavaDate, isADateFormat, isCellDateFormatted, isCellInternalDateFormatted, isInternalDateFormat, isValidExcelDate, parseYYYYMMDDDate, setCalendar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSSFDateUtil

    public HSSFDateUtil()

Method Detail

### absoluteDay

    protected static int absoluteDay(java.util.Calendar cal,
                                     boolean use1904windowing)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.